%define	weatherver	0.2.7
%define	xmmsver		0.5.5
%define	setiver		0.7.0b
%define	dnetver		0.9
%define	volumever	0.8
%define	mailwatchver	0.7.2
%define	snmpver		0.18
%define	radiover	0.3.2
%define	wirelessver	0.2.2
%define	earthver	0.3
%define	aclockver	0.2
%define	kamver		0.3.4
%define	newsver		0.3
%define	reminderver	0.3.5
%define	moonver		0.3
%define	innver		0.5-1
%define	logwatchver	1.0
%define	acpiver		0.2
%define	mousever	0.0.2
%define	pingver		0.2-3
%define	whover		0.4
%define	x86ver		0.0.2
%define	ssver		0.3
%define	gnomever	0.1
%define	consolever	0.1
%define	taskmanver	0.0.7
%define	shootver	0.2

Summary: Some neat plugins for GKrellM.
Name: gkrellm-plugins
Version: 1.2.11
Release: fr1
Epoch: 2
License: GPL
Group: Applications/System
Source0: http://www.cse.unsw.edu.au/~flam/repository/c/gkrellm/gkrellweather-%{weatherver}.tar.gz
Source1: http://gkrellm.luon.net/files/gkrellmms-%{xmmsver}.tar.gz
Source2: http://xavier.serpaggi.free.fr/seti/seti-%{setiver}.tar.bz2
Source3: http://download.sf.net/gkrelldnet/gkrelldnet-%{dnetver}.tar.gz
Source4: http://gkrellm.luon.net/files/volume-%{volumever}.tar.gz
Source5: http://gkrellm.luon.net/files/mailwatch-%{mailwatchver}.tar.gz
Source6: http://triq.net/gkrellm/gkrellm_snmp-%{snmpver}.tar.gz
Source7: http://gkrellm.luon.net/files/gkrellm-radio-%{radiover}.tar.gz
Source8: http://gkrellm.luon.net/files/gkrellmwireless-%{wirelessver}.tar.gz
Source9: http://www.geocities.com/saintdead/earth_anim-%{earthver}.tar.gz
Source10: http://www.geocities.com/m_muthukumar/gkrellaclock-%{aclockver}.tar.gz
Source11: http://download.sf.net/gkrellkam/gkrellkam_%{kamver}.tar.gz
Source12: http://download.sf.net/gk-newsticker/gkrellm-newsticker-%{newsver}.tar.gz
Source13: http://www.engr.orst.edu/~simonsen/reminder/reminder-%{reminderver}.tar.gz
Source14: http://download.sf.net/gkrellmoon/gkrellmoon-%{moonver}.tar.gz
Source15: http://download.alcove-labs.org/addons/gkrinn/gkrinn_%{innver}.tar.gz
Source16: http://www.uberh4x0r.org/download/gkrellm/glogwatch-%{logwatchver}.tar.gz
Source17: http://uname.dyndns.org/~uname/files/gkacpi/gkacpi-%{acpiver}.tar.gz
Source18: http://ssl.usu.edu/paul/gkrellmouse/gkrellmouse_%{mousever}.tar.gz
Source19: http://gkrellmping.dweb.ro/downloads/gkrellmPing-%{pingver}.tar.gz
Source20: http://web.wt.net/~billw/gkrellm/Plugins/gkrellmwho-%{whover}.tar.gz
Source21: http://asdfnews.org/yargon/gkx86info%{x86ver}.tar.gz
Source22: http://web.wt.net/~billw/gkrellmss/gkrellmss-%{ssver}.tar.gz
Source23: http://web.wt.net/~billw/gkrellm/Plugins/gkrellm-gnome.tar.gz
Source24: http://gkrellm.luon.net/files/consolewatch-%{consolever}.tar.gz
Source25: http://members.dingoblue.net.au/~gefdavis/gktaskman/files/gktaskman-%{taskmanver}.tar.gz
Source26: http://www.geocities.com/m_muthukumar/gkrellshoot-%{shootver}.tar.gz
Patch0:   http://web.wt.net/~billw/gkrellm/Plugins/gkrellmms-patch-0.5.5
URL: http://freshrpms.net/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gkrellm-devel >= 1.2.9, imlib-devel, xmms-devel, audiofile-devel
BuildRequires: curl-devel, ucd-snmp-devel, openssl-devel, gnome-libs-devel

%description
This is a "previously small but now bigger and bigger" ;-)  collection of
plugins for GKrellM, the GNU Krell Monitor.


%package media
Summary: Multimedia plugins for GKrellM.
Group: Applications/System
Requires: gkrellm >= 1.2.9, xmms
Obsoletes: gkrellm-xmms, gkrellm-volume, gkrellm-radio

%description media
This package contains the following multimedia plugins for GKrellM, the GNU
Krell Monitor : xmms, volume, radio and esd meter.


%package misc
Summary: Amusement and miscellaneous plugins for GKrellM.
Group: Applications/System
Requires: gkrellm >= 1.2.9, perl, wget, curl
Obsoletes: gkrellm-seti, gkrellm-dnet

%description misc
This package contains the following amusements plugins for GKrellM, the GNU
Krell Monitor : Seti@HOME, distributed.net, news ticker, moon clock, mouse
odometer, earth animation, analog clock, gkrellkam, todo list and weather.


%package utils
Summary: System and network utility plugins for GKrellM.
Group: Applications/System
Requires: gkrellm >= 1.2.9, ImageMagick
Obsoletes: gkrellm-mailwatch, gkrellm-wireless

%description utils
This package contains the following utility plugins for GKrellM, the GNU
Krell Monitor : mail watch, wireless network monitor, reminder, news monitor,
logwatch, acpi monitor, ping utility, who, x86 cpu speed, console watch
and screenshot/lock.


%package snmp
Summary: An snmp monitoring plugin for GKrellM.
Group: Applications/System
Requires: gkrellm >= 1.2.9, ucd-snmp
Obsoletes: gkrellm-snmp

%description snmp
This is a snmp monitoring plugin for GKrellM, the GNU Krell Monitor.


%package gnome
Summary: An plugin for easily setting up GNOME to use GKrellM.
Group: Applications/System
Requires: gkrellm >= 1.2.9, gnome-core

%description gnome
This is just a configuration plugin for GkrellM that lets you easily
configure GNOME to use GkrellM without having to edit startup scripts
and so on yourself.


%prep
%setup -q -T -a0 -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17 -a18 -a19 -a20 -a21 -a22 -a23 -a24 -a25 -a26 -c %{name}-%{version}
cd gkrellmms
%patch0 -p0

%build
mkdir plugins
( cd gkrellweather-%{weatherver} ; make ; mv *.so ../plugins ; cp GrabWeather .. )
( cd gkrellmms ; make ; mv *.so ../plugins )
( cd seti-%{setiver} ; make ; mv *.so ../plugins )
( cd gkrelldnet-%{dnetver} ; make ; mv *.so ../plugins ; cp dnetw .. )
( cd volume ; make ; mv *.so ../plugins )
( cd mailwatch-%{mailwatchver} ; make ; mv *.so ../plugins )
( cd gkrellm_snmp-%{snmpver} ; make ; mv *.so ../plugins )
( cd gkrellm-radio ; make ; mv *.so ../plugins )
( cd gkrellmwireless-%{wirelessver} ; make ; mv *.so ../plugins )
( cd earth_anim ; make ; mv *.so ../plugins )
( cd gkrellAclock-%{aclockver} ; make ; mv *.so ../plugins )
( cd gkrellkam-%{kamver} ; make ; mv *.so ../plugins ; mv *.5 .. )
( cd gkrellm-newsticker ; make ; mv *.so ../plugins )
( cd reminder-%{reminderver} ; make ; mv *.so ../plugins )
( cd gkrellmoon-%{moonver} ; make ; mv *.so ../plugins )
( cd gkrinn ; make ; mv *.so ../plugins )
( cd glogwatch-%{logwatchver} ; make ; mv *.so ../plugins )
( cd gkacpi-%{acpiver} ; make ; mv *.so ../plugins )
( cd gkrellmouse-%{mousever} ; make ; mv *.so ../plugins )
( cd gkrellmPing ; make ; mv *.so ../plugins )
( cd gkrellmwho-%{whover} ; make ; mv *.so ../plugins )
( cd gkx86info%{x86ver} ; ./build ; mv *.so ../plugins )
( cd gkrellmss-%{ssver} ; make ; mv src/*.so ../plugins )
( cd gkrellm-gnome ; make ; mv src/*.so ../plugins )
( cd consolewatch-%{consolever} ; make ; mv *.so ../plugins )
( cd gktaskman ; make ; mv *.so ../plugins )
( cd gkrellShoot-%{shootver} ; make ; mv *.so ../plugins )

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gkrellm/plugins
install -m 755 plugins/* %{buildroot}%{_datadir}/gkrellm/plugins
mkdir -p %{buildroot}%{_bindir}
install -m 755 dnetw %{buildroot}%{_bindir}
install -m 755 GrabWeather %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man5
# There may be dirs ending with .5 ...
install -m 644 `find . -type f -name "*.5"` %{buildroot}%{_mandir}/man5

%clean
rm -rf %{buildroot}

%files media
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/gkrellmms.so
%{_datadir}/gkrellm/plugins/volume.so
%{_datadir}/gkrellm/plugins/radio.so
%{_datadir}/gkrellm/plugins/gkrellmss.so

%files misc
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/seti.so
%{_datadir}/gkrellm/plugins/gkrelldnet.so
%{_bindir}/dnetw
%{_datadir}/gkrellm/plugins/newsticker.so
%{_datadir}/gkrellm/plugins/gkrellmoon.so
%{_datadir}/gkrellm/plugins/gkmouse.so
%{_datadir}/gkrellm/plugins/earth_anim.so
%{_datadir}/gkrellm/plugins/gkrellaclock.so
%{_datadir}/gkrellm/plugins/gkrellweather.so
%{_bindir}/GrabWeather
%{_datadir}/gkrellm/plugins/gkrellkam.so
%{_mandir}/man5/gkrellkam*
%{_datadir}/gkrellm/plugins/taskman.so

%files utils
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/mailwatch.so
%{_datadir}/gkrellm/plugins/wireless.so
%{_datadir}/gkrellm/plugins/reminder.so
%{_datadir}/gkrellm/plugins/gkrinn.so
%{_datadir}/gkrellm/plugins/glogwatch.so
%{_datadir}/gkrellm/plugins/gkacpi.so
%{_datadir}/gkrellm/plugins/gkrellmPing.so
%{_datadir}/gkrellm/plugins/gkrellmwho.so
%{_datadir}/gkrellm/plugins/gkx86info.so
%{_datadir}/gkrellm/plugins/consolewatch.so
%{_datadir}/gkrellm/plugins/gkrellshoot.so

%files snmp
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/gkrellm_snmp.so

%files gnome
%defattr(-, root, root)
%{_datadir}/gkrellm/plugins/gkrellm-gnome.so

%changelog
* Tue Apr  2 2002 Ville Skytt <ville.skytta@iki.fi> 1.2.11-fr1
- Added Gk-Taskman and GKrellShoot.
- Added a patch for gkrellmms to make it compile with 1.2.11.
- Updated aclock, gkrellkam, gkrellm-newsticker, radio, reminder and seti.
- Didn't update gkrellmss because 0.4  would require newer ESD than RH has.
- Rebuilt with GKrellM 1.2.11.

* Tue Jan  8 2002 Ville Skytt <ville.skytta@iki.fi>
- Updated seven plugins : seti, gkrelldnet, mailwatch, gkrellm-radio,
  gkrellkam, gkrellm-newsticker and reminder.
- GKrellKam now actually belongs to a package (misc) :)
- Added missing requirements for gnome, newsticker and snmp.
- Rebuilt with GKrellM 1.2.8

* Fri Oct 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated at last! So many plugins were added that I've decided to now
  package into categories and not as individual RPMs any more.
- New packages include : earth_anim, gkrellAclock, gkrellkam, newsticker,
  reminder, gkrellmoon, gkrinn, glogwatch, gkacpi, gkrellmouse,
  gkrellmPing, gkrellmwho, x86info, gkrellmss, gkrellm-gnome, consolewatch.
- FIXME : Need to add the Gnome applet :-)

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated five plugins : weather, dnet, mailwatch, snmp and radio.
- Rebuilt for Red Hat 7.1.

* Thu Feb 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated three plugins : dnetc, seti and snmp.
- Added two plugins : radio and wireless.

* Tue Jan 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Split all the plugins in individual packages.

* Mon Jan 29 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

